package com.sun.corba.se.spi.protocol;

import java.util.Set;
import com.sun.corba.se.spi.oa.ObjectAdapterFactory;
import com.sun.corba.se.pept.protocol.ClientRequestDispatcher;

public interface RequestDispatcherRegistry
{
    public abstract void registerClientRequestDispatcher(ClientRequestDispatcher p0, int p1);
    
    public abstract ClientRequestDispatcher getClientRequestDispatcher(int p0);
    
    public abstract void registerLocalClientRequestDispatcherFactory(LocalClientRequestDispatcherFactory p0, int p1);
    
    public abstract LocalClientRequestDispatcherFactory getLocalClientRequestDispatcherFactory(int p0);
    
    public abstract void registerServerRequestDispatcher(CorbaServerRequestDispatcher p0, int p1);
    
    public abstract CorbaServerRequestDispatcher getServerRequestDispatcher(int p0);
    
    public abstract void registerServerRequestDispatcher(CorbaServerRequestDispatcher p0, String p1);
    
    public abstract CorbaServerRequestDispatcher getServerRequestDispatcher(String p0);
    
    public abstract void registerObjectAdapterFactory(ObjectAdapterFactory p0, int p1);
    
    public abstract ObjectAdapterFactory getObjectAdapterFactory(int p0);
    
    public abstract Set<ObjectAdapterFactory> getObjectAdapterFactories();
}
